Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1706066 - python-cattrs FTBFS with Python 3.8 / nonresponsive maintainer
Summary: python-cattrs FTBFS with Python 3.8 / nonresponsive maintainer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cattrs
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Eric Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS F32FailsToInstall PYTHON38 1731545
TreeView+ depends on / blocked
 
Reported: 2019-05-03 13:15 UTC by Miro Hrončok
Modified: 2023-09-14 05:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-26 13:00:23 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Full log from Copr (deleted)
2019-05-03 13:15 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2019-05-03 13:15:54 UTC
Created attachment 1562442 [details]
Full log from Copr

python-cattrs 0.9.0-4.fc31 fail to build from source with Python 3.8:

+ py.test-3 -v
ImportError while loading conftest '/builddir/build/BUILD/cattrs-0.9.0/tests/conftest.py'.
tests/__init__.py:17: in <module>
    from cattr._compat import is_py2, bytes, unicode
../../BUILDROOT/python-cattrs-0.9.0-4.fc31.x86_64/usr/lib/python3.8/site-packages/cattr/__init__.py:2: in <module>
    from .converters import Converter, UnstructureStrategy
../../BUILDROOT/python-cattrs-0.9.0-4.fc31.x86_64/usr/lib/python3.8/site-packages/cattr/converters.py:3: in <module>
    from ._compat import (
../../BUILDROOT/python-cattrs-0.9.0-4.fc31.x86_64/usr/lib/python3.8/site-packages/cattr/_compat.py:86: in <module>
    from typing import _Union
E   ImportError: cannot import name '_Union' from 'typing' (/usr/lib64/python3.8/typing.py)
error: Bad exit status from /var/tmp/rpm-tmp.GTbBHt (%check)

Full log attached.

Comment 1 Miro Hrončok 2019-07-10 10:40:12 UTC
Please respond.

Comment 2 Eric Smith 2019-07-26 04:45:29 UTC
Waiting on upstream to support Python 3.8

Comment 3 Ben Cotton 2019-08-13 16:57:33 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 18:54:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Miro Hrončok 2019-08-14 22:24:54 UTC
The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at:
http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Note that it will take a while before the essential packages are rebuilt, so don't expect all your dependencies to be available right away.

Thanks. Let us know if you need up to date info, or if you have any questions.



PS this message is mass posted to all the bugs that block the PYTHON38 bug. If this is also a Fedora 31 FTBFS bug and you manage to fix it, you can do a f31 build as usual:

    on branch f31:
    $ fedpkg build

Comment 6 Miro Hrončok 2019-08-21 16:35:40 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 7 Miro Hrončok 2019-08-21 17:29:38 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 8 Miro Hrončok 2019-09-16 08:05:52 UTC
This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, in Fedora 32.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well.

If upstream isn't Python 3.8 ready, could you please open an issue with them?

Comment 9 Felix Schwarz 2019-11-08 08:21:46 UTC
Upstream added Python 3.8 compatibility 
https://github.com/Tinche/cattrs/commit/bb48897a7f389332d6111a239dcf3bf4a11b526f

Comment 10 Miro Hrončok 2019-12-26 13:00:23 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 11 Red Hat Bugzilla 2023-09-14 05:27:59 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days


Note You need to log in before you can comment on or make changes to this bug.